Package org.jbpm.runtime.manager.impl.jpa

## Class ExecutionErrorInfo

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionError
  - - org.jbpm.runtime.manager.impl.jpa.ExecutionErrorInfo

- All Implemented Interfaces:
    `Serializable`

      @Entity
      public class ExecutionErrorInfo
      extends org.kie.internal.runtime.error.ExecutionError
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.kie.internal.runtime.error.ExecutionError

      `org.kie.internal.runtime.error.ExecutionError.Builder`

  - ### Field Summary

    - ### Fields inherited from class org.kie.internal.runtime.error.ExecutionError

      `acknowledged, acknowledgedAt, acknowledgedBy, activityId, activityName, deploymentId, error, errorDate, errorId, errorMessage, initActivityId, jobId, processId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionErrorInfo()` |
    `ExecutionErrorInfo​(String errorId, String type, String deploymentId, Long processInstanceId, String processId, Long activityId, String activityName, Long jobId, String errorMessage, String error, Date errorDate, Long initActivityId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Short` | `getAcknowledged()` |
    `Date` | `getAcknowledgedAt()` |
    `String` | `getAcknowledgedBy()` |
    `Long` | `getActivityId()` |
    `String` | `getActivityName()` |
    `String` | `getDeploymentId()` |
    `String` | `getError()` |
    `Date` | `getErrorDate()` |
    `String` | `getErrorId()` |
    `String` | `getErrorMessage()` |
    `Long` | `getId()` |
    `Long` | `getInitActivityId()` |
    `Long` | `getJobId()` |
    `String` | `getProcessId()` |
    `Long` | `getProcessInstanceId()` |
    `String` | `getType()` |
    `void` | `setErrorId​(String errorId)` |
    `void` | `setErrorMessage​(String errorMessage)` |
    `void` | `setId​(Long id)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.kie.internal.runtime.error.ExecutionError

      `builder, isAcknowledged, setAcknowledged, setAcknowledged, setAcknowledgedAt, setAcknowledgedBy, setActivityId, setActivityName, setDeploymentId, setError, setErrorDate, setInitActivityId, setJobId, setProcessId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionErrorInfo

          public ExecutionErrorInfo()

    - #### ExecutionErrorInfo

          public ExecutionErrorInfo​(String errorId,
                                    String type,
                                    String deploymentId,
                                    Long processInstanceId,
                                    String processId,
                                    Long activityId,
                                    String activityName,
                                    Long jobId,
                                    String errorMessage,
                                    String error,
                                    Date errorDate,
                                    Long initActivityId)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getErrorId

          public String getErrorId()

      Overrides:
        `getErrorId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getDeploymentId

          public String getDeploymentId()

      Overrides:
        `getDeploymentId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Overrides:
        `getProcessInstanceId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getActivityId

          public Long getActivityId()

      Overrides:
        `getActivityId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### setErrorMessage

          public void setErrorMessage​(String errorMessage)

      Overrides:
        `setErrorMessage` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getErrorMessage

          public String getErrorMessage()

      Overrides:
        `getErrorMessage` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getError

          public String getError()

      Overrides:
        `getError` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getAcknowledged

          protected Short getAcknowledged()

      Overrides:
        `getAcknowledged` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getAcknowledgedBy

          public String getAcknowledgedBy()

      Overrides:
        `getAcknowledgedBy` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getAcknowledgedAt

          public Date getAcknowledgedAt()

      Overrides:
        `getAcknowledgedAt` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getProcessId

          public String getProcessId()

      Overrides:
        `getProcessId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getActivityName

          public String getActivityName()

      Overrides:
        `getActivityName` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getErrorDate

          public Date getErrorDate()

      Overrides:
        `getErrorDate` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### setErrorId

          public void setErrorId​(String errorId)

      Overrides:
        `setErrorId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getJobId

          public Long getJobId()

      Overrides:
        `getJobId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### getInitActivityId

          public Long getInitActivityId()

      Overrides:
        `getInitActivityId` in class `org.kie.internal.runtime.error.ExecutionError`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.kie.internal.runtime.error.ExecutionError`